Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.services
Interface AppContext

public interface AppContext

AppContext is an interface that allows an application developer to publish values from within the application to the security runtime. The runtime may use these values to assist it in providing security decisions or information.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`AppContextElement` | `getElement(String name)` Gets an element for the specified `AppContextElement` name.
`AppContextElement[]` | `getElements(String[] names)` Gets an array of `AppContextElement` objects containing values for each of the named elements that are known.
`String[]` | `getNames()` Gets a list of `AppContextElement` names that may be requested.
`int` | `size()` Provides the count of the number of `AppContextElement`s that the AppContext is able to return.

Method Detail

### getElement

    public AppContextElement getElement(String name)

  Gets an element for the specified `AppContextElement` name.

  Parameters:
    `name` - the name of the `AppContextElement` for which a value should be returned, represented as a String.
  Returns:
    an `Object` that contains the value of the requested name. If the value of the `name` parameter is unknown, a `null` value is returned.

### getElements

    public AppContextElement[] getElements(String[] names)

  Gets an array of `AppContextElement` objects containing values for each of the named elements that are known.

  Parameters:
    `names` - the names of the `AppContextElement`s to be returned, represented as an array of Strings.
  Returns:
    an array containing an `AppContextElement` object for each of the named elements found in the `names` parameter. The value for the requested element is returned as a `java.lang.Object`. If a name in the `names` parameter is unknown, the name will not appear in the array of `AppContextElement` objects.

### getNames

    public String[] getNames()

  Gets a list of `AppContextElement` names that may be requested.

  Returns:
    the names of the `AppContextElement`s that may be requested, represented as an array of Strings.

### size

    public int size()

  Provides the count of the number of `AppContextElement`s that the AppContext is able to return.

  Returns:
    the number of `AppContextElement`s that can be requested. A value of `-1` indicates that the handler is unable to return the exact count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD